Tuesday, November 20, 2007

FME File Association Updater - FME Talk | Google Groups

The topic FME File Association Updater - FME Talk | Google Groups: in the FME Talk Google Groups provides a nice solution for the case where you have two versions of FME installed on your workstation and the version you want to use is not the one associated with the .fme and .fmw files. This has been an issue for me when doing a Smallworld upgrade from pre-4.x to 4.0. These versions of Smallworld support different versions of FME. If you want to continue running pre-4.x Smallworld/FME functionality and 4.x Smallworld/FME functionality then you either need to do something clever with the FME_HOME environment variable in your Magik code or you can use the script described below...

Hi FME'ers, If - like me - you constantly install FME beta versions for testing purposes, you may be wishing that there were a way to revert the file associations back to the official release version for production work.

Well now there is a way.

See: http://www.fmepedia.com/index.php/FME_File_Type_Association_Updater

New Safe support dude Aaron Koning has come up with a neat little script that will let you choose which fme.exe file to associate all your FME files with. Now you can ensure that when you double-click an fmw file, it opens the version of FME that you want, and not an arbitrary beta version.

Hope this is useful (it is for me). Thanks Aaron,